Skip to content

Filter payments

POST
/payments
curl --request POST \
--url https://api.ltesocks.io/v2/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "from": "2022-04-02T00:40:44", "to": "2022-04-02T00:40:44", "page": 1, "pageSize": 20 }'

Returns payments using pagination and available filters.

Pagination parameters

Media typeapplication/json
object
from
string format: date-time
Example
2022-04-02T00:40:44
to
string format: date-time
Example
2022-04-02T00:40:44
page
integer
Example
1
pageSize
integer
<= 100
Example
20

Successful operation

Media typeapplication/json
object
data
Array<object>
object
date
string format: date-time
status
string
Allowed values: success failed
port

Port number

string
amount

Payment amount in cents

integer
balance

Balance at the time of payment

integer
description

Payment description

string
page
integer
pageSize
integer
total
integer
Example
{
"data": [
{
"date": "2022-04-03T01:13:50.182Z",
"status": "success",
"port": 10000,
"amount": -10000,
"balance": 25000,
"description": "Port 10000 subscription fee"
}
],
"page": 1,
"pageSize": 20,
"total": 7
}

The bearer token is missing, invalid, or no longer active.

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}

The configured request limit has been exceeded.

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}

Error

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}